Debian Bug report logs - #536354
linux-2.6: [s390,lenny] kernel panic during boot

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Frans Pop <elendil@planet.nl>

Date: Thu, 9 Jul 2009 10:39:02 UTC

Severity: important

Tags: patch

Found in version 2.6.26-17

Fixed in version linux-2.6/2.6.26-18

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 10:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 10:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Debian BTS Submit <submit@bugs.debian.org>
Subject: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 12:26:39 +0200
Package: linux-2.6
Version: 2.6.26-17
Severity: important

A user reported on d-s390 [1] that a Lenny installation on s390 failed
with a kernel panic during boot. I could reproduce the panic on my
Hercules system using the installer.

I then installed the current Lenny kernel on my installed Hercules system
(running sid), and when I rebooted that with .26 I got the same panic, so
it looks to be a kernel problem and not an installer problem.

We included an s390 specific patch in 2.6.26-16 for #511334, but TBH I
would be surprised if that was the cause given that it was very well
tested.

I'll try to look into this myself but can't give an ETA for results.

Cheers,
FJP

[1] http://lists.debian.org/debian-s390/2009/07/msg00002.html
    (contains boot log from submitter)


Here's the boot log from my Hercules system:
        0.000000! Initializing cgroup subsys cpuset
        0.000000! Initializing cgroup subsys cpu
        0.000000! Linux version 2.6.26-2-s390 (Debian 2.6.26-17) (dannf@debian.org)
(gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Mon Jun 22 09:19:01 UTC 2009
        0.000000! We are running native (31 bit mode)
        0.000000! This machine has an IEEE fpu
        0.000000! Zone PFN ranges:
        0.000000!   Normal          0 ->    65536
        0.000000! Movable zone start PFN for each node
        0.000000! early_node_map 1! active PFN ranges
        0.000000!     0:        0 ->    65535
        0.000000! Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 65023
        0.000000! Kernel command line: ro vmpoff="LOGOFF" root=/dev/disk/by-path/ccw-0.0.0120-part1 BOOT_IMAGE=3
        0.000000! PID hash table entries: 1024 (order: 10, 4096 bytes)
 17179569.184434! console  ttyS0! enabled
 17179569.186173! Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)
 17179569.196175! Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)
 17179569.323701! Memory: 250240k/262144k available (2273k kernel code, 0k reserved, 843k data, 148k init)
 17179569.324046! Write protected kernel read-only data: 0x12000 - 0x2eefff
 17179569.327670! Security Framework initialized
 17179569.327875! SELinux:  Disabled at boot.
 17179569.328068! Capability LSM initialized
 17179569.329135! Mount-cache hash table entries: 512
 17179569.336415! Initializing cgroup subsys ns
 17179569.336625! Initializing cgroup subsys cpuacct
 17179569.337083! Initializing cgroup subsys devices
 17179569.372905! CPUs: 2 configured, 0 standby
 17179569.712223! cpu 0 phys_idx=0 vers=00 ident=002623 machine=3090 unused=0000
 17179569.720062! cpu 1 phys_idx=1 vers=00 ident=102623 machine=3090 unused=0000
 17179569.720223! Brought up 2 CPUs
 17179569.727662! net_namespace: 660 bytes
 17179569.733664! NET: Registered protocol family 16
 17179569.734205! debug: Initialization complete
 17179569.845231! NET: Registered protocol family 2
 17179569.904364! IP route cache hash table entries: 2048 (order: 1, 8192 bytes)
 17179569.915461! TCP established hash table entries: 8192 (order: 4, 65536 bytes)
 17179569.919237! TCP bind hash table entries: 8192 (order: 4, 65536 bytes)
 17179569.923241! TCP: Hash tables configured (established 8192 bind 8192)
 17179569.923520! TCP reno registered
 17179569.945827! NET: Registered protocol family 1
 17179569.951199! checking if image is initramfs...
 it is
 17179595.776001! Freeing initrd memory: 4834k freed
 17179595.813741! audit: initializing netlink socket (disabled)
 17179595.814102! type=2000 audit(1247133977.122:1): initialized
 17179595.826079! VFS: Disk quotas dquot_6.5.1
 17179595.827719! Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
 17179595.828598! msgmni has been set to 498
 17179595.833376! Block layer SCSI generic (bsg) driver version 0.4 loaded (major 254)
 17179595.833664! io scheduler noop registered
 17179595.833861! io scheduler anticipatory registered
 17179595.834079! io scheduler deadline registered
 17179595.835142! io scheduler cfq registered (default)
 17179595.923494! brd: module loaded
 17179595.925446! cio: Channel measurement facility using basic format (autodetected)
 17179595.925743! qdio: loading QDIO base support version 2
 17179595.929133! qdio : Not all CHSCs supported. Continuing.
 17179595.929513! sclp_config: no configuration management.
 17179595.959702! TCP cubic registered
 17179595.962630! NET: Registered protocol family 10
 17179595.989321! lo: Disabled Privacy Extensions
 17179596.003133! Mobile IPv6
 17179596.003321! NET: Registered protocol family 17
 17179596.009185! registered taskstats version 1
 17179596.030724! Freeing unused kernel memory: 148k freed
 17179596.042499! Kernel panic - not syncing: Attempted to kill init

Here is what should be happening at that point:
Loading, please wait...
Begin: Loading essential drivers ...
done.
Begin: Running /scripts/init-premount ...
 17179598.312944! dasd(eckd): 0.0.0120: PSF-SSC on storage subsystem HRC.ZZ000000000001.0120 returned rc=0
 17179598.314702! dasd(eckd): 0.0.0120: 3390/06(CU:3990/02) Cyl:2226 Head:15 Sec:224
 17179598.320073! dasd(eckd): 0.0.0120: (4kB blks): 1602720kB at 48kB/trk compatible disk layout
 17179598.320567!  dasda:VOL1/  0X0123: dasda1 dasda2
done.
Begin: Mounting root file system ...

Compared with a successful boot with .26-1 I see no strange differences
in the part of the boot log before the panic.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 13:12:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 13:12:16 GMT) Full text and rfc822 format available.

Message #10 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Cc: dannf@debian.org
Subject: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 15:03:51 +0200
> A user reported on d-s390 [1] that a Lenny installation on s390 failed
> with a kernel panic during boot. I could reproduce the panic on my
> Hercules system using the installer.

Hmmm. This is fun. If I cross-compile the kernel myself it boots fine.

I used my own cross-build system for this, not the Debian build system.

Here's what I did:
- apt-get source linux-2.6 (on lenny of course)
- apply patches from all series files (1-17; except *-extra)
- copy kernel config from 2.6.26-2-s390
- cross-build
- install and boot the resulting .deb package

Did I miss anything here?

Anyway, I wonder if the problem is maybe just a weird error in the build 
environment used to build the current official package. If that is the 
case then a simple rebuild could fix that.

Dann: could you maybe rebuild the kernel for s390 and send me the 
resulting image so I could check that?

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 13:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 15:53:09 +0200
On Thursday 09 July 2009, Frans Pop wrote:
> > A user reported on d-s390 [1] that a Lenny installation on s390
> > failed with a kernel panic during boot. I could reproduce the panic
> > on my Hercules system using the installer.
>
> Hmmm. This is fun. If I cross-compile the kernel myself it boots fine.
>
> Anyway, I wonder if the problem is maybe just a weird error in the
> build environment used to build the current official package. If that
> is the case then a simple rebuild could fix that.

FYI, I used "gcc version 4.2.4 (Debian 4.2.4-6)" from the emdebian 
cross-toolchain repo (packages are not available anymore there).
The build host is a Lenny amd64 system.




Blocking bugs of 536375 added: 536354 Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 09 Jul 2009 14:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 16:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 16:03:05 GMT) Full text and rfc822 format available.

Message #22 received at 536354@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Frans Pop <elendil@planet.nl>, 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 09:58:16 -0600
On Thu, Jul 09, 2009 at 03:53:09PM +0200, Frans Pop wrote:
> On Thursday 09 July 2009, Frans Pop wrote:
> > > A user reported on d-s390 [1] that a Lenny installation on s390
> > > failed with a kernel panic during boot. I could reproduce the panic
> > > on my Hercules system using the installer.
> >
> > Hmmm. This is fun. If I cross-compile the kernel myself it boots fine.
> >
> > Anyway, I wonder if the problem is maybe just a weird error in the
> > build environment used to build the current official package. If that
> > is the case then a simple rebuild could fix that.
> 
> FYI, I used "gcc version 4.2.4 (Debian 4.2.4-6)" from the emdebian 
> cross-toolchain repo (packages are not available anymore there).
> The build host is a Lenny amd64 system.

The buildd log shows that 2.6.26-17 was built w/ gcc-4.1_4.1.2-25. Is
there a cross-compiler available w/ that version?

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 16:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 536354@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Frans Pop <elendil@planet.nl>, 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 10:05:15 -0600
On Thu, Jul 09, 2009 at 03:03:51PM +0200, Frans Pop wrote:
> > A user reported on d-s390 [1] that a Lenny installation on s390 failed
> > with a kernel panic during boot. I could reproduce the panic on my
> > Hercules system using the installer.
> 
> Hmmm. This is fun. If I cross-compile the kernel myself it boots fine.
> 
> I used my own cross-build system for this, not the Debian build system.
> 
> Here's what I did:
> - apt-get source linux-2.6 (on lenny of course)
> - apply patches from all series files (1-17; except *-extra)
> - copy kernel config from 2.6.26-2-s390
> - cross-build
> - install and boot the resulting .deb package
> 
> Did I miss anything here?
> 
> Anyway, I wonder if the problem is maybe just a weird error in the build 
> environment used to build the current official package. If that is the 
> case then a simple rebuild could fix that.
> 
> Dann: could you maybe rebuild the kernel for s390 and send me the 
> resulting image so I could check that?

I'll start a build on zelenka once my build-dep install request is
fulfilled.

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 16:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Cc: dann frazier <dannf@debian.org>
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 18:46:30 +0200
On Thursday 09 July 2009, dann frazier wrote:
> The buildd log shows that 2.6.26-17 was built w/ gcc-4.1_4.1.2-25. Is
> there a cross-compiler available w/ that version?

Unfortunately not that I know of. Packages currently available on emdebian 
are incomplete.

And I've had very mixed results trying to build a cross toolchain myself. 
It costs loads of effort with a fairly big chance of failure

If someone knows a source I'll be happy to try it.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 17:21:03 GMT) Full text and rfc822 format available.

Message #37 received at 536354@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Frans Pop <elendil@planet.nl>, 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 11:17:46 -0600
On Thu, Jul 09, 2009 at 10:05:15AM -0600, dann frazier wrote:
> On Thu, Jul 09, 2009 at 03:03:51PM +0200, Frans Pop wrote:
> > > A user reported on d-s390 [1] that a Lenny installation on s390 failed
> > > with a kernel panic during boot. I could reproduce the panic on my
> > > Hercules system using the installer.
> > 
> > Hmmm. This is fun. If I cross-compile the kernel myself it boots fine.
> > 
> > I used my own cross-build system for this, not the Debian build system.
> > 
> > Here's what I did:
> > - apt-get source linux-2.6 (on lenny of course)
> > - apply patches from all series files (1-17; except *-extra)
> > - copy kernel config from 2.6.26-2-s390
> > - cross-build
> > - install and boot the resulting .deb package
> > 
> > Did I miss anything here?
> > 
> > Anyway, I wonder if the problem is maybe just a weird error in the build 
> > environment used to build the current official package. If that is the 
> > case then a simple rebuild could fix that.
> > 
> > Dann: could you maybe rebuild the kernel for s390 and send me the 
> > resulting image so I could check that?
> 
> I'll start a build on zelenka once my build-dep install request is
> fulfilled.

Here's a simple rebuild from zelenka's lenny chroot:
  http://people.debian.org/~dannf/bugs/536354/
(will appear once slow rsync finishes)
-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 19:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 19:42:02 GMT) Full text and rfc822 format available.

Message #42 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Cc: dann frazier <dannf@debian.org>
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 21:39:46 +0200
On Thursday 09 July 2009, dann frazier wrote:
> On Thu, Jul 09, 2009 at 10:05:15AM -0600, dann frazier wrote:
> Here's a simple rebuild from zelenka's lenny chroot:
>   http://people.debian.org/~dannf/bugs/536354/

Thanks Dann. That paniced too.

After that I've managed after all to build a 4.1 cross toolchain [1].
And the kernel I just built with that also panics. So, progress: I can now 
start narrowing it down. Should be easy enough as I was smart enough to 
commit each patch series in git after applying.

Here's what I currently know for certain:
* 2.6.26-13 built with gcc-4.1 (4.1.2-24) boots [2]
* 2.6.26-17 built with gcc-4.1 (4.1.2-25) panics
* 2.6.26-17 built with gcc-4.2 (4.2.4-6) boots

So, the failure is gcc related. Now we have to find out if it is a 
specific kernel patch that gcc 4.1 does not like, or a regression in gcc 
itself.

[1] I now have an s390 cross compiler, built on a Lenny i386 Toshiba 
laptop, installed in an i386 Sid chroot on an amd64 Lenny HP notebook :-P
[2] This just happens to be the last .26 kernel I still had installed in 
Hercules.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 21:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 21:51:02 GMT) Full text and rfc822 format available.

Message #47 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Cc: dann frazier <dannf@debian.org>
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 23:46:37 +0200
On Thursday 09 July 2009, Frans Pop wrote:
> Here's what I currently know for certain:
> * 2.6.26-13 built with gcc-4.1 (4.1.2-24) boots [2]
> * 2.6.26-17 built with gcc-4.1 (4.1.2-25) panics
> * 2.6.26-17 built with gcc-4.2 (4.2.4-6)  boots

Bisect... - the following all built with gcc-4.1 (4.1.2-25):
* 2.6.26-15lenny3 panics
* 2.6.26-14       panics
* 2.6.26-13       boots
* 2.6.26-13lenny1 boots
* 2.6.26-13lenny2 boots

=> the problem is in 2.6.26-14

(I guess this also tells us a lot about how many users run Lenny s390 with 
a Debian kernel :-/ Unless maybe s390x is not affected.)

/me looks at patches in -14
Hmmm, panic is about where modules first get loaded, let's try reverting 
bugfix/parisc/fix-loading-large-kmods.patch.

Nope. Still panics. Do you have any ideas? Bastian maybe?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 21:57:04 GMT) Full text and rfc822 format available.

Message #52 received at 536354@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: Frans Pop <elendil@planet.nl>
Cc: 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 15:55:00 -0600
On Thu, Jul 09, 2009 at 11:46:37PM +0200, Frans Pop wrote:
> On Thursday 09 July 2009, Frans Pop wrote:
> > Here's what I currently know for certain:
> > * 2.6.26-13 built with gcc-4.1 (4.1.2-24) boots [2]
> > * 2.6.26-17 built with gcc-4.1 (4.1.2-25) panics
> > * 2.6.26-17 built with gcc-4.2 (4.2.4-6)  boots
> 
> Bisect... - the following all built with gcc-4.1 (4.1.2-25):
> * 2.6.26-15lenny3 panics
> * 2.6.26-14       panics
> * 2.6.26-13       boots
> * 2.6.26-13lenny1 boots
> * 2.6.26-13lenny2 boots
> 
> => the problem is in 2.6.26-14
> 
> (I guess this also tells us a lot about how many users run Lenny s390 with 
> a Debian kernel :-/ Unless maybe s390x is not affected.)
> 
> /me looks at patches in -14
> Hmmm, panic is about where modules first get loaded, let's try reverting 
> bugfix/parisc/fix-loading-large-kmods.patch.
> 
> Nope. Still panics. Do you have any ideas? Bastian maybe?

I'd suggest the CVE-2009-0029 fixes. Lots of arch-specific stuff in
there.

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 22:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 22:51:02 GMT) Full text and rfc822 format available.

Message #57 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Cc: dann frazier <dannf@dannf.org>
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Fri, 10 Jul 2009 00:32:45 +0200
On Thursday 09 July 2009, dann frazier wrote:
> I'd suggest the CVE-2009-0029 fixes. Lots of arch-specific stuff in
> there.

Nope. Other suggestions welcome. I'll nail it down tomorrow.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 23:00:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 23:00:18 GMT) Full text and rfc822 format available.

Message #62 received at 536354@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Frans Pop <elendil@planet.nl>, 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 9 Jul 2009 16:57:06 -0600
On Fri, Jul 10, 2009 at 12:32:45AM +0200, Frans Pop wrote:
> On Thursday 09 July 2009, dann frazier wrote:
> > I'd suggest the CVE-2009-0029 fixes. Lots of arch-specific stuff in
> > there.
> 
> Nope. Other suggestions welcome. I'll nail it down tomorrow.

Maybe the -fwrapv change?

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 09 Jul 2009 23:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 09 Jul 2009 23:12:02 GMT) Full text and rfc822 format available.

Message #67 received at 536354@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Frans Pop <elendil@planet.nl>, 536354@bugs.debian.org
Cc: dann frazier <dannf@debian.org>
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Fri, 10 Jul 2009 00:08:21 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2009-07-09 at 23:46 +0200, Frans Pop wrote:
> On Thursday 09 July 2009, Frans Pop wrote:
> > Here's what I currently know for certain:
> > * 2.6.26-13 built with gcc-4.1 (4.1.2-24) boots [2]
> > * 2.6.26-17 built with gcc-4.1 (4.1.2-25) panics
> > * 2.6.26-17 built with gcc-4.2 (4.2.4-6)  boots
> 
> Bisect... - the following all built with gcc-4.1 (4.1.2-25):
> * 2.6.26-15lenny3 panics
> * 2.6.26-14       panics
> * 2.6.26-13       boots
> * 2.6.26-13lenny1 boots
> * 2.6.26-13lenny2 boots
> 
> => the problem is in 2.6.26-14
> 
> (I guess this also tells us a lot about how many users run Lenny s390 with 
> a Debian kernel :-/ Unless maybe s390x is not affected.)
> 
> /me looks at patches in -14
> Hmmm, panic is about where modules first get loaded, let's try reverting 
> bugfix/parisc/fix-loading-large-kmods.patch.
> 
> Nope. Still panics. Do you have any ideas? Bastian maybe?

If this is a compiler bug then it doesn't necessarily relate in any
obvious way to any of the code changes. :-(  You may have to bisect the
patch series.

Ben.

-- 
Ben Hutchings
The generation of random numbers is too important to be left to chance.
                                                            - Robert Coveyou
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Fri, 10 Jul 2009 06:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Jul 2009 06:36:05 GMT) Full text and rfc822 format available.

Message #72 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: dann frazier <dannf@debian.org>
Cc: 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Fri, 10 Jul 2009 08:31:44 +0200
On Friday 10 July 2009, dann frazier wrote:
> Maybe the -fwrapv change?

Bingo. Makes a lot of sense too for an issue related to gcc version.

Reverting only that patch on top of -17 results in good boot too.

Gah! And it's even a known issue:
- http://bugzilla.kernel.org/show_bug.cgi?id=13012
- http://lkml.org/lkml/2009/4/9/458

Does not yet look to be fixed upstream though. I only found 740ebe4a54, 
but that's mips only.

P.S. Having the full series history in the kernel source was great for 
tracking this bug! It allowed me to use my own (cross-)build system I 
normally use to build upstream kernels (using 'make deb-pkg') in a very 
straightforward manner.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Fri, 10 Jul 2009 07:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Jul 2009 07:57:05 GMT) Full text and rfc822 format available.

Message #77 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Cc: dann frazier <dannf@debian.org>, control@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Fri, 10 Jul 2009 09:51:33 +0200
[Message part 1 (text/plain, inline)]
tags 536354 patch
thanks

On Friday 10 July 2009, Frans Pop wrote:
> On Friday 10 July 2009, dann frazier wrote:
> > Maybe the -fwrapv change?
>
> Bingo. Makes a lot of sense too for an issue related to gcc version.

I've proposed the attached patch on lkml: http://lkml.org/lkml/2009/7/10/49.

[gcc-flag.patch (text/x-diff, inline)]
From: Frans Pop <elendil@planet.nl>
Subject: Only add '-fwrapv' gcc CFLAGS for gcc 4.3 and later

This flag has been shown to cause init to segfault for kernels
compiled with gcc-4.1. gcc version 4.2.4 has been shown to be OK,
but as there is some uncertainty the flag is only added for 4.3
and later.

This fixes http://bugzilla.kernel.org/show_bug.cgi?id=13012.

Signed-off-by: Frans Pop <elendil@planet.nl>

diff --git a/Makefile b/Makefile
index 0aeec59..2f8756e 100644
--- a/Makefile
+++ b/Makefile
@@ -565,7 +565,8 @@ KBUILD_CFLAGS += $(call cc-option,-Wdeclaration-after-statement,)
 KBUILD_CFLAGS += $(call cc-option,-Wno-pointer-sign,)
 
 # disable invalid "can't wrap" optimizations for signed / pointers
-KBUILD_CFLAGS	+= $(call cc-option,-fwrapv)
+KBUILD_CFLAGS  += $(shell if [ $(call cc-version) -ge 0430 ]; then \
+		    echo $(call cc-option,-fwrapv); fi ;)
 
 # revert to pre-gcc-4.4 behaviour of .eh_frame
 KBUILD_CFLAGS	+= $(call cc-option,-fno-dwarf2-cfi-asm)

Tags added: patch Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Fri, 10 Jul 2009 07:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Fri, 10 Jul 2009 13:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Jul 2009 13:51:02 GMT) Full text and rfc822 format available.

Message #84 received at 536354@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Frans Pop <elendil@planet.nl>, 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Fri, 10 Jul 2009 14:46:53 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2009-07-10 at 09:51 +0200, Frans Pop wrote:
> tags 536354 patch
> thanks
> 
> On Friday 10 July 2009, Frans Pop wrote:
> > On Friday 10 July 2009, dann frazier wrote:
> > > Maybe the -fwrapv change?
> >
> > Bingo. Makes a lot of sense too for an issue related to gcc version.
> 
> I've proposed the attached patch on lkml: http://lkml.org/lkml/2009/7/10/49.

Perhaps we should be using -fno-strict-overflow instead of simply
removing this option?

Ben.

-- 
Ben Hutchings
No political challenge can be met by shopping. - George Monbiot
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Fri, 10 Jul 2009 14:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Jul 2009 14:24:02 GMT) Full text and rfc822 format available.

Message #89 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Fri, 10 Jul 2009 16:21:51 +0200
On Friday 10 July 2009, Ben Hutchings wrote:
> On Fri, 2009-07-10 at 09:51 +0200, Frans Pop wrote:
> > On Friday 10 July 2009, Frans Pop wrote:
> > > On Friday 10 July 2009, dann frazier wrote:
> > > > Maybe the -fwrapv change?
> > >
> > > Bingo. Makes a lot of sense too for an issue related to gcc
> > > version.
> >
> > I've proposed the attached patch on lkml:
> > http://lkml.org/lkml/2009/7/10/49.
>
> Perhaps we should be using -fno-strict-overflow instead of simply
> removing this option?

It looks like that option was only introduced with gcc 4.2. At least, I 
can't find it in the manual for gcc 4.1.

So it would not make any difference for this bug. It does make the case a 
bit stronger to change my check to also allow -fwrapv for gcc 4.2 though.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Fri, 10 Jul 2009 20:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Jul 2009 20:18:06 GMT) Full text and rfc822 format available.

Message #94 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Cc: dann frazier <dannf@debian.org>
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Fri, 10 Jul 2009 22:11:34 +0200
[Message part 1 (text/plain, inline)]
On Friday 10 July 2009, Frans Pop wrote:
> I've proposed the attached patch on lkml:
> http://lkml.org/lkml/2009/7/10/49.

The version check in the patch was incorrect. Here's an improved version 
that also allows -fwrapv for gcc 4.2.

See also the follow ups on lkml.

[fwrapv.patch (text/x-diff, inline)]
From: Frans Pop <elendil@planet.nl>
Subject: Only add '-fwrapv' to gcc CFLAGS for gcc 4.2 and later

This flag has been shown to cause init to segfault for kernels
compiled with gcc-4.1. gcc version 4.2.4 has been shown to be OK.

This fixes http://bugzilla.kernel.org/show_bug.cgi?id=13012.

Reported-by: Barry K. Nathan <barryn@pobox.com>
Signed-off-by: Frans Pop <elendil@planet.nl>

diff --git a/Makefile b/Makefile
index 0aeec59..2519fde 100644
--- a/Makefile
+++ b/Makefile
@@ -565,7 +565,8 @@ KBUILD_CFLAGS += $(call cc-option,-Wdeclaration-after-statement,)
 KBUILD_CFLAGS += $(call cc-option,-Wno-pointer-sign,)
 
 # disable invalid "can't wrap" optimizations for signed / pointers
-KBUILD_CFLAGS	+= $(call cc-option,-fwrapv)
+KBUILD_CFLAGS  += $(shell if [ $(call cc-version) -ge 0402 ]; then \
+		    echo $(call cc-option,-fwrapv); fi ;)
 
 # revert to pre-gcc-4.4 behaviour of .eh_frame
 KBUILD_CFLAGS	+= $(call cc-option,-fno-dwarf2-cfi-asm)

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Mon, 13 Jul 2009 09:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Jul 2009 09:27:07 GMT) Full text and rfc822 format available.

Message #99 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Subject: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Mon, 13 Jul 2009 11:22:12 +0200
Linus has committed a different solution: replacing -fwrapv by
-fno-strict-overflow.
See upstream commit a137802ee839ace40079bebde24cfb416f73208a.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Wed, 15 Jul 2009 17:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 15 Jul 2009 17:33:02 GMT) Full text and rfc822 format available.

Message #104 received at 536354@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Frans Pop <elendil@planet.nl>, 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Wed, 15 Jul 2009 11:29:24 -0600
On Mon, Jul 13, 2009 at 11:22:12AM +0200, Frans Pop wrote:
> Linus has committed a different solution: replacing -fwrapv by
> -fno-strict-overflow.
> See upstream commit a137802ee839ace40079bebde24cfb416f73208a.

I tried applying that fix, but it causes a build failure because the
compiler we use for lenny (gcc-4.1) doesn't support it. It seems
strange that upstream would drop '-fwrapv' due to problems w/
gcc-4.1.x, but then require an option that's not supported by gcc-4.1
at all. Maybe that option got added in the 4.1.x stream after Debian
released it? Maybe I'm missing a kernel change that would prevent this
option from being used in 4.1?

For Debian, I guess our options are to either just revert the fwrapv
fix, or add the above changset but make it dependent on compiler
version. Both should be equivalent for the debian binaries, but the
latter would be an improvement for folks who build their own kernels
from our source with newer compilers. No idea how significant that #
of users is though.

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 16 Jul 2009 10:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 16 Jul 2009 10:24:09 GMT) Full text and rfc822 format available.

Message #109 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Cc: dann frazier <dannf@debian.org>
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 16 Jul 2009 12:17:37 +0200
On Wednesday 15 July 2009, dann frazier wrote:
> On Mon, Jul 13, 2009 at 11:22:12AM +0200, Frans Pop wrote:
> > Linus has committed a different solution: replacing -fwrapv by
> > -fno-strict-overflow.
> > See upstream commit a137802ee839ace40079bebde24cfb416f73208a.
>
> I tried applying that fix, but it causes a build failure because the
> compiler we use for lenny (gcc-4.1) doesn't support it. It seems
> strange that upstream would drop '-fwrapv' due to problems w/
> gcc-4.1.x, but then require an option that's not supported by gcc-4.1
> at all. Maybe that option got added in the 4.1.x stream after Debian
> released it? Maybe I'm missing a kernel change that would prevent this
> option from being used in 4.1?

That's weird. IIUC the 'call cc-option' function is supposed to check 
whether an option is supported by the gcc version being used and only 
actually add it if it is.

See Documentation/kbuild/makefiles.txt and scripts/Kbuild.include.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 16 Jul 2009 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 16 Jul 2009 13:15:03 GMT) Full text and rfc822 format available.

Message #114 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Cc: dann frazier <dannf@debian.org>
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 16 Jul 2009 15:13:56 +0200
On Thursday 16 July 2009, Frans Pop wrote:
> On Wednesday 15 July 2009, dann frazier wrote:
> > On Mon, Jul 13, 2009 at 11:22:12AM +0200, Frans Pop wrote:
> > > Linus has committed a different solution: replacing -fwrapv by
> > > -fno-strict-overflow.
> > > See upstream commit a137802ee839ace40079bebde24cfb416f73208a.
> >
> > I tried applying that fix, but it causes a build failure because the
> > compiler we use for lenny (gcc-4.1) doesn't support it. It seems
> > strange that upstream would drop '-fwrapv' due to problems w/
> > gcc-4.1.x, but then require an option that's not supported by gcc-4.1
> > at all. Maybe that option got added in the 4.1.x stream after Debian
> > released it? Maybe I'm missing a kernel change that would prevent
> > this option from being used in 4.1?
>
> That's weird. IIUC the 'call cc-option' function is supposed to check
> whether an option is supported by the gcc version being used and only
> actually add it if it is.
>
> See Documentation/kbuild/makefiles.txt and scripts/Kbuild.include.

2.6.24-17 + Linus' patch builds fine here for s390 with gcc-4.1; 
the -fno-strict-overflow option is not added.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Fri, 17 Jul 2009 21:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 17 Jul 2009 21:48:05 GMT) Full text and rfc822 format available.

Message #119 received at 536354@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Frans Pop <elendil@planet.nl>, 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Fri, 17 Jul 2009 15:31:13 -0600
On Thu, Jul 16, 2009 at 03:13:56PM +0200, Frans Pop wrote:
> On Thursday 16 July 2009, Frans Pop wrote:
> > On Wednesday 15 July 2009, dann frazier wrote:
> > > On Mon, Jul 13, 2009 at 11:22:12AM +0200, Frans Pop wrote:
> > > > Linus has committed a different solution: replacing -fwrapv by
> > > > -fno-strict-overflow.
> > > > See upstream commit a137802ee839ace40079bebde24cfb416f73208a.
> > >
> > > I tried applying that fix, but it causes a build failure because the
> > > compiler we use for lenny (gcc-4.1) doesn't support it. It seems
> > > strange that upstream would drop '-fwrapv' due to problems w/
> > > gcc-4.1.x, but then require an option that's not supported by gcc-4.1
> > > at all. Maybe that option got added in the 4.1.x stream after Debian
> > > released it? Maybe I'm missing a kernel change that would prevent
> > > this option from being used in 4.1?
> >
> > That's weird. IIUC the 'call cc-option' function is supposed to check
> > whether an option is supported by the gcc version being used and only
> > actually add it if it is.
> >
> > See Documentation/kbuild/makefiles.txt and scripts/Kbuild.include.
> 
> 2.6.24-17 + Linus' patch builds fine here for s390 with gcc-4.1; 
> the -fno-strict-overflow option is not added.

Found the issue.
linux-2.6 passes the CC flag in an included makefile snippet
(.kernelvariables). Just merging the patch from upstream causes this
sequence to happen:

CC = gcc
Does CC support -fno-strict-overflow? If so, add it to CFLAGS
CC = gcc-4.1

Adjusting the order fixes it..

-- 
dann frazier





Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Sun, 19 Jul 2009 19:57:02 GMT) Full text and rfc822 format available.

Information stored :
Bug#536354; Package linux-2.6. (Sun, 19 Jul 2009 21:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 19 Jul 2009 21:18:07 GMT) Full text and rfc822 format available.

Message #126 received at 536354-quiet@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 536354-submitter@bugs.debian.org
Cc: 536354-quiet@bugs.debian.org
Subject: please verify build
Date: Sun, 19 Jul 2009 15:11:28 -0600
hey Frans,
 A fix has been committed in r13974 and an s390 build should appear in
the lenny suite of the snapshot archive after the next daily build
cycle. Can you test a 2.6.26-18~snapshot.13974 (or greater) build
when it appears?

Information on snapshot builds is available here:
  http://wiki.debian.org/DebianKernel
(I'm sure you know that, but just in case others are silenty following
this bug and want to help test..)

Thanks for all your help here.
-- 
dann frazier





Message sent on to Frans Pop <elendil@planet.nl>:
Bug#536354. (Sun, 19 Jul 2009 21:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Mon, 20 Jul 2009 14:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 20 Jul 2009 14:18:10 GMT) Full text and rfc822 format available.

Message #134 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: dann frazier <dannf@debian.org>
Cc: 536354@bugs.debian.org
Subject: Re: Bug#536354: please verify build
Date: Mon, 20 Jul 2009 16:12:45 +0200
On Sunday 19 July 2009, dann frazier wrote:
>  A fix has been committed in r13974 and an s390 build should appear in
> the lenny suite of the snapshot archive after the next daily build
> cycle. Can you test a 2.6.26-18~snapshot.13974 (or greater) build
> when it appears?

linux-image-2.6.26-2-s390_2.6.26-18~snapshot.13976_s390.deb boots fine.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Mon, 20 Jul 2009 14:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 20 Jul 2009 14:57:02 GMT) Full text and rfc822 format available.

Message #139 received at 536354@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Frans Pop <elendil@planet.nl>, 536354@bugs.debian.org
Subject: Re: Bug#536354: please verify build
Date: Mon, 20 Jul 2009 08:56:08 -0600
On Mon, Jul 20, 2009 at 04:12:45PM +0200, Frans Pop wrote:
> On Sunday 19 July 2009, dann frazier wrote:
> >  A fix has been committed in r13974 and an s390 build should appear in
> > the lenny suite of the snapshot archive after the next daily build
> > cycle. Can you test a 2.6.26-18~snapshot.13974 (or greater) build
> > when it appears?
> 
> linux-image-2.6.26-2-s390_2.6.26-18~snapshot.13976_s390.deb boots fine.

Great, thank you.

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Wed, 22 Jul 2009 02:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 22 Jul 2009 02:48:02 GMT) Full text and rfc822 format available.

Message #144 received at 536354@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 536354@bugs.debian.org
Cc: dann frazier <dannf@debian.org>
Subject: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Wed, 22 Jul 2009 04:45:42 +0200
Note that an additional issue was found with 2.6.27 after the change to
-fno-strict-overflow. See http://lkml.org/lkml/2009/7/20/80 and follow-ups 
for details.

The cause (compiler bug in gcc-4.2.4) was identified in 
http://lkml.org/lkml/2009/7/21/423 and it looks like it's going to be
"fixed" with a kernel patch: http://lkml.org/lkml/2009/7/21/499.

But it shows that there may definitely be unexpected effects from the 
change for arches using gcc-4.2 or later in Lenny.

Cheers,
FJP




Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Thu, 23 Jul 2009 05:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#536354; Package linux-2.6. (Thu, 23 Jul 2009 17:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Jul 2009 17:06:02 GMT) Full text and rfc822 format available.

Message #151 received at 536354@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Frans Pop <elendil@planet.nl>, 536354@bugs.debian.org
Subject: Re: Bug#536354: linux-2.6: [s390,lenny] kernel panic during boot
Date: Thu, 23 Jul 2009 11:01:51 -0600
On Wed, Jul 22, 2009 at 04:45:42AM +0200, Frans Pop wrote:
> Note that an additional issue was found with 2.6.27 after the change to
> -fno-strict-overflow. See http://lkml.org/lkml/2009/7/20/80 and follow-ups 
> for details.
> 
> The cause (compiler bug in gcc-4.2.4) was identified in 
> http://lkml.org/lkml/2009/7/21/423 and it looks like it's going to be
> "fixed" with a kernel patch: http://lkml.org/lkml/2009/7/21/499.
> 
> But it shows that there may definitely be unexpected effects from the 
> change for arches using gcc-4.2 or later in Lenny.

From that thread it looks like its only an issue for gcc-4.2 (not
4.3). But, since we did include gcc-4.2 in lenny and the patch is
trivial I went ahead and applied it.

Thanks!
-- 
dann frazier





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sat, 01 Aug 2009 20:45:23 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Sat, 01 Aug 2009 20:45:24 GMT) Full text and rfc822 format available.

Message #156 received at 536354-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 536354-close@bugs.debian.org
Subject: Bug#536354: fixed in linux-2.6 2.6.26-18
Date: Sat, 01 Aug 2009 20:28:32 +0000
Source: linux-2.6
Source-Version: 2.6.26-18

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-18.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-18.diff.gz
linux-2.6_2.6.26-18.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-18.dsc
linux-doc-2.6.26_2.6.26-18_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.26_2.6.26-18_all.deb
linux-headers-2.6.26-2-486_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-486_2.6.26-18_i386.deb
linux-headers-2.6.26-2-686-bigmem_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-686-bigmem_2.6.26-18_i386.deb
linux-headers-2.6.26-2-686_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-686_2.6.26-18_i386.deb
linux-headers-2.6.26-2-all-i386_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-all-i386_2.6.26-18_i386.deb
linux-headers-2.6.26-2-all_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-all_2.6.26-18_i386.deb
linux-headers-2.6.26-2-amd64_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-amd64_2.6.26-18_i386.deb
linux-headers-2.6.26-2-common-openvz_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-common-openvz_2.6.26-18_i386.deb
linux-headers-2.6.26-2-common-vserver_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-common-vserver_2.6.26-18_i386.deb
linux-headers-2.6.26-2-common-xen_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-common-xen_2.6.26-18_i386.deb
linux-headers-2.6.26-2-common_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-common_2.6.26-18_i386.deb
linux-headers-2.6.26-2-openvz-686_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-openvz-686_2.6.26-18_i386.deb
linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-18_i386.deb
linux-headers-2.6.26-2-vserver-686_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-vserver-686_2.6.26-18_i386.deb
linux-headers-2.6.26-2-xen-686_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-2-xen-686_2.6.26-18_i386.deb
linux-image-2.6.26-2-486_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-486_2.6.26-18_i386.deb
linux-image-2.6.26-2-686-bigmem_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-686-bigmem_2.6.26-18_i386.deb
linux-image-2.6.26-2-686_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-686_2.6.26-18_i386.deb
linux-image-2.6.26-2-amd64_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-amd64_2.6.26-18_i386.deb
linux-image-2.6.26-2-openvz-686_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-openvz-686_2.6.26-18_i386.deb
linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-18_i386.deb
linux-image-2.6.26-2-vserver-686_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-vserver-686_2.6.26-18_i386.deb
linux-image-2.6.26-2-xen-686_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-2-xen-686_2.6.26-18_i386.deb
linux-libc-dev_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.26-18_i386.deb
linux-manual-2.6.26_2.6.26-18_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.26_2.6.26-18_all.deb
linux-modules-2.6.26-2-xen-686_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/linux-modules-2.6.26-2-xen-686_2.6.26-18_i386.deb
linux-patch-debian-2.6.26_2.6.26-18_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-18_all.deb
linux-source-2.6.26_2.6.26-18_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.26_2.6.26-18_all.deb
linux-support-2.6.26-2_2.6.26-18_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.26-2_2.6.26-18_all.deb
linux-tree-2.6.26_2.6.26-18_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.26_2.6.26-18_all.deb
xen-linux-system-2.6.26-2-xen-686_2.6.26-18_i386.deb
  to pool/main/l/linux-2.6/xen-linux-system-2.6.26-2-xen-686_2.6.26-18_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 536354@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 31 Jul 2009 00:12:58 -0600
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-2 linux-libc-dev linux-headers-2.6.26-2-all linux-headers-2.6.26-2-all-alpha linux-headers-2.6.26-2-common linux-image-2.6.26-2-alpha-generic linux-headers-2.6.26-2-alpha-generic linux-image-2.6.26-2-alpha-smp linux-headers-2.6.26-2-alpha-smp linux-image-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-all-amd64 linux-image-2.6.26-2-amd64 linux-headers-2.6.26-2-amd64 linux-headers-2.6.26-2-common-openvz linux-image-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-common-vserver linux-image-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-common-xen linux-image-2.6.26-2-xen-amd64 linux-modules-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-xen-amd64 xen-linux-system-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-all-arm linux-image-2.6.26-2-footbridge linux-headers-2.6.26-2-footbridge linux-image-2.6.26-2-iop32x linux-headers-2.6.26-2-iop32x linux-image-2.6.26-2-ixp4xx linux-headers-2.6.26-2-ixp4xx linux-image-2.6.26-2-orion5x linux-headers-2.6.26-2-orion5x linux-headers-2.6.26-2-all-armel linux-image-2.6.26-2-versatile linux-headers-2.6.26-2-versatile linux-headers-2.6.26-2-all-hppa linux-image-2.6.26-2-parisc linux-headers-2.6.26-2-parisc linux-image-2.6.26-2-parisc-smp linux-headers-2.6.26-2-parisc-smp linux-image-2.6.26-2-parisc64 linux-headers-2.6.26-2-parisc64 linux-image-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-all-i386 linux-image-2.6.26-2-486 linux-headers-2.6.26-2-486 linux-image-2.6.26-2-686 linux-headers-2.6.26-2-686 linux-image-2.6.26-2-686-bigmem linux-headers-2.6.26-2-686-bigmem linux-image-2.6.26-2-openvz-686 linux-headers-2.6.26-2-openvz-686 linux-image-2.6.26-2-vserver-686 linux-headers-2.6.26-2-vserver-686 linux-image-2.6.26-2-vserver-686-bigmem linux-headers-2.6.26-2-vserver-686-bigmem linux-image-2.6.26-2-xen-686 linux-modules-2.6.26-2-xen-686 linux-headers-2.6.26-2-xen-686 xen-linux-system-2.6.26-2-xen-686 linux-headers-2.6.26-2-all-ia64 linux-image-2.6.26-2-itanium linux-headers-2.6.26-2-itanium linux-image-2.6.26-2-mckinley linux-headers-2.6.26-2-mckinley linux-image-2.6.26-2-vserver-itanium linux-headers-2.6.26-2-vserver-itanium linux-image-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-all-m68k linux-image-2.6.26-2-amiga linux-headers-2.6.26-2-amiga linux-image-2.6.26-2-atari linux-headers-2.6.26-2-atari linux-image-2.6.26-2-bvme6000 linux-headers-2.6.26-2-bvme6000 linux-image-2.6.26-2-mac linux-headers-2.6.26-2-mac linux-image-2.6.26-2-mvme147 linux-headers-2.6.26-2-mvme147 linux-image-2.6.26-2-mvme16x linux-headers-2.6.26-2-mvme16x linux-headers-2.6.26-2-all-mips linux-image-2.6.26-2-r4k-ip22 linux-headers-2.6.26-2-r4k-ip22 linux-image-2.6.26-2-r5k-ip32 linux-headers-2.6.26-2-r5k-ip32 linux-image-2.6.26-2-sb1-bcm91250a linux-headers-2.6.26-2-sb1-bcm91250a linux-image-2.6.26-2-sb1a-bcm91480b linux-headers-2.6.26-2-sb1a-bcm91480b linux-image-2.6.26-2-4kc-malta linux-headers-2.6.26-2-4kc-malta linux-image-2.6.26-2-5kc-malta linux-headers-2.6.26-2-5kc-malta linux-headers-2.6.26-2-all-mipsel linux-image-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-all-powerpc linux-image-2.6.26-2-powerpc linux-headers-2.6.26-2-powerpc linux-image-2.6.26-2-powerpc-smp linux-headers-2.6.26-2-powerpc-smp linux-image-2.6.26-2-powerpc64 linux-headers-2.6.26-2-powerpc64 linux-image-2.6.26-2-vserver-powerpc linux-headers-2.6.26-2-vserver-powerpc linux-image-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-all-s390 linux-image-2.6.26-2-s390 linux-headers-2.6.26-2-s390 linux-image-2.6.26-2-s390-tape linux-image-2.6.26-2-s390x linux-headers-2.6.26-2-s390x linux-image-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-all-sparc linux-image-2.6.26-2-sparc64 linux-headers-2.6.26-2-sparc64 linux-image-2.6.26-2-sparc64-smp linux-headers-2.6.26-2-sparc64-smp linux-image-2.6.26-2-vserver-sparc64 linux-headers-2.6.26-2-vserver-sparc64
Architecture: source all i386
Version: 2.6.26-18
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-2-486 - Header files for Linux 2.6.26-2-486
 linux-headers-2.6.26-2-4kc-malta - Header files for Linux 2.6.26-2-4kc-malta
 linux-headers-2.6.26-2-5kc-malta - Header files for Linux 2.6.26-2-5kc-malta
 linux-headers-2.6.26-2-686 - Header files for Linux 2.6.26-2-686
 linux-headers-2.6.26-2-686-bigmem - Header files for Linux 2.6.26-2-686-bigmem
 linux-headers-2.6.26-2-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-alpha-generic - Header files for Linux 2.6.26-2-alpha-generic
 linux-headers-2.6.26-2-alpha-legacy - Header files for Linux 2.6.26-2-alpha-legacy
 linux-headers-2.6.26-2-alpha-smp - Header files for Linux 2.6.26-2-alpha-smp
 linux-headers-2.6.26-2-amd64 - Header files for Linux 2.6.26-2-amd64
 linux-headers-2.6.26-2-amiga - Header files for Linux 2.6.26-2-amiga
 linux-headers-2.6.26-2-atari - Header files for Linux 2.6.26-2-atari
 linux-headers-2.6.26-2-bvme6000 - Header files for Linux 2.6.26-2-bvme6000
 linux-headers-2.6.26-2-common - Common header files for Linux 2.6.26-2
 linux-headers-2.6.26-2-common-openvz - Common header files for Linux 2.6.26-2-openvz
 linux-headers-2.6.26-2-common-vserver - Common header files for Linux 2.6.26-2-vserver
 linux-headers-2.6.26-2-common-xen - Common header files for Linux 2.6.26-2-xen
 linux-headers-2.6.26-2-footbridge - Header files for Linux 2.6.26-2-footbridge
 linux-headers-2.6.26-2-iop32x - Header files for Linux 2.6.26-2-iop32x
 linux-headers-2.6.26-2-itanium - Header files for Linux 2.6.26-2-itanium
 linux-headers-2.6.26-2-ixp4xx - Header files for Linux 2.6.26-2-ixp4xx
 linux-headers-2.6.26-2-mac - Header files for Linux 2.6.26-2-mac
 linux-headers-2.6.26-2-mckinley - Header files for Linux 2.6.26-2-mckinley
 linux-headers-2.6.26-2-mvme147 - Header files for Linux 2.6.26-2-mvme147
 linux-headers-2.6.26-2-mvme16x - Header files for Linux 2.6.26-2-mvme16x
 linux-headers-2.6.26-2-openvz-686 - Header files for Linux 2.6.26-2-openvz-686
 linux-headers-2.6.26-2-openvz-amd64 - Header files for Linux 2.6.26-2-openvz-amd64
 linux-headers-2.6.26-2-orion5x - Header files for Linux 2.6.26-2-orion5x
 linux-headers-2.6.26-2-parisc - Header files for Linux 2.6.26-2-parisc
 linux-headers-2.6.26-2-parisc-smp - Header files for Linux 2.6.26-2-parisc-smp
 linux-headers-2.6.26-2-parisc64 - Header files for Linux 2.6.26-2-parisc64
 linux-headers-2.6.26-2-parisc64-smp - Header files for Linux 2.6.26-2-parisc64-smp
 linux-headers-2.6.26-2-powerpc - Header files for Linux 2.6.26-2-powerpc
 linux-headers-2.6.26-2-powerpc-smp - Header files for Linux 2.6.26-2-powerpc-smp
 linux-headers-2.6.26-2-powerpc64 - Header files for Linux 2.6.26-2-powerpc64
 linux-headers-2.6.26-2-r4k-ip22 - Header files for Linux 2.6.26-2-r4k-ip22
 linux-headers-2.6.26-2-r5k-cobalt - Header files for Linux 2.6.26-2-r5k-cobalt
 linux-headers-2.6.26-2-r5k-ip32 - Header files for Linux 2.6.26-2-r5k-ip32
 linux-headers-2.6.26-2-s390 - Header files for Linux 2.6.26-2-s390
 linux-headers-2.6.26-2-s390x - Header files for Linux 2.6.26-2-s390x
 linux-headers-2.6.26-2-sb1-bcm91250a - Header files for Linux 2.6.26-2-sb1-bcm91250a
 linux-headers-2.6.26-2-sb1a-bcm91480b - Header files for Linux 2.6.26-2-sb1a-bcm91480b
 linux-headers-2.6.26-2-sparc64 - Header files for Linux 2.6.26-2-sparc64
 linux-headers-2.6.26-2-sparc64-smp - Header files for Linux 2.6.26-2-sparc64-smp
 linux-headers-2.6.26-2-versatile - Header files for Linux 2.6.26-2-versatile
 linux-headers-2.6.26-2-vserver-686 - Header files for Linux 2.6.26-2-vserver-686
 linux-headers-2.6.26-2-vserver-686-bigmem - Header files for Linux 2.6.26-2-vserver-686-bigmem
 linux-headers-2.6.26-2-vserver-amd64 - Header files for Linux 2.6.26-2-vserver-amd64
 linux-headers-2.6.26-2-vserver-itanium - Header files for Linux 2.6.26-2-vserver-itanium
 linux-headers-2.6.26-2-vserver-mckinley - Header files for Linux 2.6.26-2-vserver-mckinley
 linux-headers-2.6.26-2-vserver-powerpc - Header files for Linux 2.6.26-2-vserver-powerpc
 linux-headers-2.6.26-2-vserver-powerpc64 - Header files for Linux 2.6.26-2-vserver-powerpc64
 linux-headers-2.6.26-2-vserver-s390x - Header files for Linux 2.6.26-2-vserver-s390x
 linux-headers-2.6.26-2-vserver-sparc64 - Header files for Linux 2.6.26-2-vserver-sparc64
 linux-headers-2.6.26-2-xen-686 - Header files for Linux 2.6.26-2-xen-686
 linux-headers-2.6.26-2-xen-amd64 - Header files for Linux 2.6.26-2-xen-amd64
 linux-image-2.6.26-2-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-2-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-2-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-2-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-2-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-2-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-2-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-2-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-2-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-2-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-2-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-2-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-2-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-2-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-2-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-2-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-2-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-2-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-2-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-2-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-2-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-2-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-2-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-2-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-2-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-2-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-2-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-2-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-2-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-2-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-2-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-2-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-2-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-2-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-2-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-2-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-2-vserver-itanium - Linux 2.6.26 image on Itanium, Linux-VServer support
 linux-image-2.6.26-2-vserver-mckinley - Linux 2.6.26 image on Itanium II, Linux-VServer support
 linux-image-2.6.26-2-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-2-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-2-vserver-s390x - Linux 2.6.26 image on IBM zSeries, Linux-VServer support
 linux-image-2.6.26-2-vserver-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC, Linux-VServ
 linux-image-2.6.26-2-xen-686 - Linux 2.6.26 image on i686, oldstyle Xen support
 linux-image-2.6.26-2-xen-amd64 - Linux 2.6.26 image on AMD64, oldstyle Xen support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-2-xen-686 - Linux 2.6.26 modules on i686
 linux-modules-2.6.26-2-xen-amd64 - Linux 2.6.26 modules on AMD64
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-2 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.26-2-xen-686 - XEN system with Linux 2.6.26 image on i686
 xen-linux-system-2.6.26-2-xen-amd64 - XEN system with Linux 2.6.26 image on AMD64
Closes: 420582 498271 501023 511385 512617 513406 521192 527968 532811 532813 533895 534519 536354 537617 538391
Changes: 
 linux-2.6 (2.6.26-18) stable; urgency=high
 .
   [ maximilian attems ]
   * [openvz] 19f7f85 net: bridge - process skbs has been already substituted
     due to via_phys_dev (closes: #532811)
   * [openvz] b1f08ed net: avoid double free on net->gen pointer on error
     (closes: #532813)
   * [openvz] bbbad0a pidns: pi-futex pid check fixup
 .
   [ Martin Michlmayr ]
   * MIPS: DS1286: New RTC driver
   * MIPS: IP22/28: Switch over to RTC class driver
   * [mips/r4k-ip22] Build in RTC_DRV_DS1286. (Closes: #533895)
 .
   [ dann frazier ]
   * e1000e: add support for 82574L controllers (closes: #534519)
   * Use -fno-strict-overflow instead of -fwrapv and workaround a
     regression in fbcon this may introduce if users build custom kernels
     w/ gcc-4.2 (prebuilt kernels use 4.1) (closes: #536354)
   * sata_nv: avoid link reset on controllers where it's broken
     (Closes: #498271, Closes: #501023)
   * libata: make sure port is thawed when skipping resets. This change
     avoid regressing #533657 with the fix for #498271.
   * Add -fno-delete-null-pointer-checks to CFLAGS (Closes: #537617)
   * Add a backport of bnx2x from 2.6.30 with request_firmware changes
 .
   [ Moritz Muehlenhoff ]
   * fbdev/atyfb: Fix display corruption on some PowerMacs & PowerBooks
     (Closes: #420582)
   * ALSA: hda_intel: enable snoop for NVidia HDA controller (Closes: #521192)
   * eeepc: Fix oops when changing backlight brightness during init
     (Closes: #513406)
   * Emit HPET warning only once to avoid syslog floods, which occur on
     some systems like HP DC7900 (Closes: #512617)
   * Fix support for AverMedia AverTV Cardbus Hybrid E506R (Closes: #511385)
   * ALSA: HDA patch_via.c: Fix inversion of surround and side channels
     (Closes: #538391)
   * NTP Adjust SHIFT_PLL to improve NTP convergence (Closes: #527968)
Checksums-Sha1: 
 a6b3a92a2de3690f6bdd53c5b216bfb4bcc79439 5753 linux-2.6_2.6.26-18.dsc
 e9c1191814c17710687b29aba30b3c7ad126b756 7619230 linux-2.6_2.6.26-18.diff.gz
 be2321a77e252d276352611139189525732add5f 4626304 linux-doc-2.6.26_2.6.26-18_all.deb
 2dfc023b7075af981bdb4ac5fb8b712cf9d625e4 1764306 linux-manual-2.6.26_2.6.26-18_all.deb
 35e6544b3791c55af3d24372d83aad05b706748a 2516708 linux-patch-debian-2.6.26_2.6.26-18_all.deb
 b6708ea91d636b48fff0648df421cffea08a42f4 48664928 linux-source-2.6.26_2.6.26-18_all.deb
 10263342f82b37b6821667cfa14d5d780e5b3be6 121394 linux-support-2.6.26-2_2.6.26-18_all.deb
 ea325b114ad5655964bdff2896cfc15afe5df158 106082 linux-tree-2.6.26_2.6.26-18_all.deb
 eb4c4f329c5122d2bbd43281c6192be9a738c85a 20173790 linux-image-2.6.26-2-486_2.6.26-18_i386.deb
 3eedde7827eb7fc91a93819ef4fe606a0dcaeea5 398424 linux-headers-2.6.26-2-486_2.6.26-18_i386.deb
 2107a554c778924390bf57760613a923de728198 20206542 linux-image-2.6.26-2-686_2.6.26-18_i386.deb
 c462a3b5c8728e0dd9c1777008250b06b2be7b28 397346 linux-headers-2.6.26-2-686_2.6.26-18_i386.deb
 818977da60c9b32c2484aefb2f705fd946221275 20325588 linux-image-2.6.26-2-686-bigmem_2.6.26-18_i386.deb
 1acfb53dbd3252be139699c1446193b6247de5b1 397950 linux-headers-2.6.26-2-686-bigmem_2.6.26-18_i386.deb
 a3315de264cc4a586722cf912bfead4c49dce65f 20863448 linux-image-2.6.26-2-amd64_2.6.26-18_i386.deb
 f6f1833148ae1feb00ee8d415cc8122373f06d20 388300 linux-headers-2.6.26-2-amd64_2.6.26-18_i386.deb
 34bc808674efef6587bd9eb1c7ef6c3e0da99700 3717732 linux-headers-2.6.26-2-common_2.6.26-18_i386.deb
 dde321a08c744848a2cc432d1eb30bd4e8a07716 20500698 linux-image-2.6.26-2-openvz-686_2.6.26-18_i386.deb
 87fb87921fbddeff93754a97a668a8c85a2b3cd1 402532 linux-headers-2.6.26-2-openvz-686_2.6.26-18_i386.deb
 9bf9c7a679fb7e9d19c2a7c124c0021b81c3a349 3773284 linux-headers-2.6.26-2-common-openvz_2.6.26-18_i386.deb
 f378c4a060f2b98677565ebd878e083560bfacc4 105598 linux-headers-2.6.26-2-all_2.6.26-18_i386.deb
 1a7b596283e73fa1f1b22c47e24473727246da61 105644 linux-headers-2.6.26-2-all-i386_2.6.26-18_i386.deb
 c69318e10be3b9577cc5e923159e758ab3bcf236 748814 linux-libc-dev_2.6.26-18_i386.deb
 96169a81122e474ceb63653f0981560649fca25c 20235156 linux-image-2.6.26-2-vserver-686_2.6.26-18_i386.deb
 e9dadb32449690a352649481dbe0076cd180890a 398634 linux-headers-2.6.26-2-vserver-686_2.6.26-18_i386.deb
 d860b543182b18cdfba906811e6a713d7b38cd0b 20352202 linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-18_i386.deb
 3b9fa7ed76fe46f37632ca2c83b427bbf3e316d5 398550 linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-18_i386.deb
 f96538b98eac8a3017fe5c8812c40afd38eb4a8d 3750334 linux-headers-2.6.26-2-common-vserver_2.6.26-18_i386.deb
 93642ce3922479f1f4b5b52636ea6e1d59c8f9b9 1591094 linux-image-2.6.26-2-xen-686_2.6.26-18_i386.deb
 880691c279e7efb6902f50e1d937b6ae36e8596d 18034574 linux-modules-2.6.26-2-xen-686_2.6.26-18_i386.deb
 abcb601128ef45a0c9ce9f3c3f624da796b0691f 383862 linux-headers-2.6.26-2-xen-686_2.6.26-18_i386.deb
 160d0f0b498dfcd7bb22dffd443d4259208880cd 105578 xen-linux-system-2.6.26-2-xen-686_2.6.26-18_i386.deb
 7b666bc2e137c57b9432fe8cb55bebd4d276e3da 3850278 linux-headers-2.6.26-2-common-xen_2.6.26-18_i386.deb
Checksums-Sha256: 
 f59b730ce4f66c92c530dcf85519ead0efb708a5b8e0ca2d79baf2ec9c909b3e 5753 linux-2.6_2.6.26-18.dsc
 44b192add86d9b0a8723f624d14974836e65e89dfdfc56545ab15f209cb6b816 7619230 linux-2.6_2.6.26-18.diff.gz
 3cd893098c7be208b6f5bf6cd37fb0a6e32ad9730f81a5971957d3eb4148cd1b 4626304 linux-doc-2.6.26_2.6.26-18_all.deb
 ec5b17781df20a3ccf0a5990d99d8f56e1e8b8655ad5586eee0ecc32463bcdc3 1764306 linux-manual-2.6.26_2.6.26-18_all.deb
 712a19f2e43ffd5ea95d1d645eefaf8dd9020983e2dd1e72dd256121a1f35565 2516708 linux-patch-debian-2.6.26_2.6.26-18_all.deb
 7766dea52367e2e6d6964867a4b6c7f5194670e65c3ac525b5a3ff32f01835f4 48664928 linux-source-2.6.26_2.6.26-18_all.deb
 ca4e87e4a0ce3f5e915d01df0dacf81d509e0b66d711ac58770cb6dcf62d9244 121394 linux-support-2.6.26-2_2.6.26-18_all.deb
 2d9512dda9816c6e0495f25e3ca6f51b802dd2ed3c66161d414146c00468e73d 106082 linux-tree-2.6.26_2.6.26-18_all.deb
 8926f4c45f67a06d96a15bba612e155d6dc5ef6ee181e7ac0d00ac505d008cc0 20173790 linux-image-2.6.26-2-486_2.6.26-18_i386.deb
 023bd831e9f42501f041789c56451fdf3e8133437225f039957f56e3eaaf122c 398424 linux-headers-2.6.26-2-486_2.6.26-18_i386.deb
 86b0c9a85efba0a42de9e87129c41018a54fd770bb719d3dbd6a87c66a532647 20206542 linux-image-2.6.26-2-686_2.6.26-18_i386.deb
 5607811d2ea85f6da2d6beabdc7f1c158c8db462016c48ff0f395e51c9759583 397346 linux-headers-2.6.26-2-686_2.6.26-18_i386.deb
 0265af4f2e957358adbfa5d07f51dfde3f3349c46becc3b170a8eae0ed765f8e 20325588 linux-image-2.6.26-2-686-bigmem_2.6.26-18_i386.deb
 222a52bfb891f5ac7d823a4aaa9f799c9c68146f430e6afabd2fb2d29ec206b7 397950 linux-headers-2.6.26-2-686-bigmem_2.6.26-18_i386.deb
 f79f43931e900050f04e804771831253de7f117cfdaa3c4fa47adc1f16b061bd 20863448 linux-image-2.6.26-2-amd64_2.6.26-18_i386.deb
 a097bbc70d73bc129bf857dc427b5c00ded976c3687f63f255ddf8e0b3ec9ad1 388300 linux-headers-2.6.26-2-amd64_2.6.26-18_i386.deb
 287559caff036641811b6928f95c289e940e901b7ce8f75957804d82a23c6cf3 3717732 linux-headers-2.6.26-2-common_2.6.26-18_i386.deb
 fe31f3a4610900aed98d8e40203ef7d05f687a452f5afa59bbc14f89e37fc683 20500698 linux-image-2.6.26-2-openvz-686_2.6.26-18_i386.deb
 bbe112546eced9ca15aafe27ce35f244979629e857a1f8e4156b20259ac4cbfa 402532 linux-headers-2.6.26-2-openvz-686_2.6.26-18_i386.deb
 eab35c654f22aa7d72ae9522871dec800042d649f803db7bbdce834b2f4be453 3773284 linux-headers-2.6.26-2-common-openvz_2.6.26-18_i386.deb
 beef87e2a1d35d26bc3f112a137554e2bd73922123f8353650fcb6a08b974751 105598 linux-headers-2.6.26-2-all_2.6.26-18_i386.deb
 6f73a32d7562e93aa0d2d1d38b56d4169a4b7cccafcc527db10f0cfdc4dce84a 105644 linux-headers-2.6.26-2-all-i386_2.6.26-18_i386.deb
 bf8f48b4575bc2618a79a7fa2d49902827c7a1a55c880bc066d0fa1ee1121054 748814 linux-libc-dev_2.6.26-18_i386.deb
 e53f66762e7a4144a87c235e8c937d8c71f018d69fc19ada6d9ee8748a4fc37b 20235156 linux-image-2.6.26-2-vserver-686_2.6.26-18_i386.deb
 4b2a5084cffa666b4f0f231a38f587d97a68dfe9281d028a39c0e0bfd7397222 398634 linux-headers-2.6.26-2-vserver-686_2.6.26-18_i386.deb
 1e37bc977dad8e6b1dc780211bff5a8768f362395034974a6a6d71a29b5a246f 20352202 linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-18_i386.deb
 3d20f372bc952c8e423092f55616053e05a5d0344f6fff492745dae7f8bc697a 398550 linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-18_i386.deb
 76c1f1c1be788420bb482f8917ec470a2c45e190c0b0406f24dcfe81ceb8b048 3750334 linux-headers-2.6.26-2-common-vserver_2.6.26-18_i386.deb
 b3e16bb1460641e0acf158054684b06f0bbd9bc5676b603226ba043b9c5a47d6 1591094 linux-image-2.6.26-2-xen-686_2.6.26-18_i386.deb
 6134a7f5d89d64155176c227747a7baa2287caf48786e07948cdb44898d9aa3c 18034574 linux-modules-2.6.26-2-xen-686_2.6.26-18_i386.deb
 5edfcb4b6de186a0cbc16f00810d9d437f15c0274b9b5a61d989e1fcb6fda11a 383862 linux-headers-2.6.26-2-xen-686_2.6.26-18_i386.deb
 1a2eb56bc34075aa2248bc76945abb922e89fc3fd27e667fe6da6c5e083d67b5 105578 xen-linux-system-2.6.26-2-xen-686_2.6.26-18_i386.deb
 b08a29b6cbe01d673d4acd3156ea93fa5d4e7e0317675fd17ac036ec99310f6d 3850278 linux-headers-2.6.26-2-common-xen_2.6.26-18_i386.deb
Files: 
 a85c4b5026bb4d4b244dd459350b0233 5753 devel optional linux-2.6_2.6.26-18.dsc
 3f42a294705c30bf7e40fc5309cba492 7619230 devel optional linux-2.6_2.6.26-18.diff.gz
 6b18377c413455cb4df4b3a44378ccf6 4626304 doc optional linux-doc-2.6.26_2.6.26-18_all.deb
 be565cf4295ca7f8f0ec5ba986102980 1764306 doc optional linux-manual-2.6.26_2.6.26-18_all.deb
 a097b424fa43709d77d7c514700ddbff 2516708 devel optional linux-patch-debian-2.6.26_2.6.26-18_all.deb
 d2fbc75c28d30f257127d3854e9c8948 48664928 devel optional linux-source-2.6.26_2.6.26-18_all.deb
 4d2228d22c764a2813ea4743f80140e3 121394 devel optional linux-support-2.6.26-2_2.6.26-18_all.deb
 f06bdef9511bde6b7d8eb5946c3c8f1a 106082 devel optional linux-tree-2.6.26_2.6.26-18_all.deb
 e5c717e6b1dc75633deb8edb9182ae6c 20173790 admin optional linux-image-2.6.26-2-486_2.6.26-18_i386.deb
 d7cc027ef24ffacd82080bc64051fa96 398424 devel optional linux-headers-2.6.26-2-486_2.6.26-18_i386.deb
 a8873cdf42e2705141b85f9b9af75d51 20206542 admin optional linux-image-2.6.26-2-686_2.6.26-18_i386.deb
 cd52f6eb7341d6c48b22a1ba61bf1e24 397346 devel optional linux-headers-2.6.26-2-686_2.6.26-18_i386.deb
 03372fbebb8b6b29dc9902ab63c2e63c 20325588 admin optional linux-image-2.6.26-2-686-bigmem_2.6.26-18_i386.deb
 52d3812197a7cea09671644dcb3ffd80 397950 devel optional linux-headers-2.6.26-2-686-bigmem_2.6.26-18_i386.deb
 f81df200a55d2a7ee6a7d257a391a2de 20863448 admin optional linux-image-2.6.26-2-amd64_2.6.26-18_i386.deb
 9eac81a66830b5a999e26eef78a9bf27 388300 devel optional linux-headers-2.6.26-2-amd64_2.6.26-18_i386.deb
 39dc32cdd9ad6c2da3231f8981e59b16 3717732 devel optional linux-headers-2.6.26-2-common_2.6.26-18_i386.deb
 eba2937ce4fb43dab1cb843292e2ed5a 20500698 admin optional linux-image-2.6.26-2-openvz-686_2.6.26-18_i386.deb
 280a9ec6dc05a390c069fa1c21bbff97 402532 devel optional linux-headers-2.6.26-2-openvz-686_2.6.26-18_i386.deb
 a42c0545bd69e627211e553375719e2d 3773284 devel optional linux-headers-2.6.26-2-common-openvz_2.6.26-18_i386.deb
 cd5f4c22fc9617cdb46e13dfe2f1ad2e 105598 devel optional linux-headers-2.6.26-2-all_2.6.26-18_i386.deb
 1529660a097988f900d14812a41edfb5 105644 devel optional linux-headers-2.6.26-2-all-i386_2.6.26-18_i386.deb
 2b1e4ad759441a4fc57587d051e3aeb5 748814 devel optional linux-libc-dev_2.6.26-18_i386.deb
 c55adc0eafe2c9ae0607eeb12d62bed9 20235156 admin optional linux-image-2.6.26-2-vserver-686_2.6.26-18_i386.deb
 d48e4685ba01238a02e446116da6fc4c 398634 devel optional linux-headers-2.6.26-2-vserver-686_2.6.26-18_i386.deb
 751d8472fe5ee497d67fb8fe7e79f514 20352202 admin optional linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-18_i386.deb
 e8e8f83bdfb2e4d5a69fff2edf23e0d7 398550 devel optional linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-18_i386.deb
 15df465aa39514df40b9f506b9e3755f 3750334 devel optional linux-headers-2.6.26-2-common-vserver_2.6.26-18_i386.deb
 3c921a0b744ded03d4bf411bf655ae08 1591094 admin optional linux-image-2.6.26-2-xen-686_2.6.26-18_i386.deb
 44cc9d599115822857fa450b7c7f41cd 18034574 admin optional linux-modules-2.6.26-2-xen-686_2.6.26-18_i386.deb
 8cad7fda3c877b9b119f51f43443f650 383862 devel optional linux-headers-2.6.26-2-xen-686_2.6.26-18_i386.deb
 f0babe4519c58d07b251b0ab0d46b6a0 105578 admin extra xen-linux-system-2.6.26-2-xen-686_2.6.26-18_i386.deb
 ddf74cca6f56ce20a7d26cdcded50006 3850278 devel optional linux-headers-2.6.26-2-common-xen_2.6.26-18_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKdHFJhuANDBmkLRkRAnK6AJ914UMsFqroqIrNh3FFva18THs7lACbBkzE
vpw6F6HwzgVMxrRgIlo+tBc=
=pTVo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Aug 2009 07:33:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:36:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.